/*
 * Around | Multipurpose Bootstrap HTML Template
 * Copyright 2023 Createx Studio
 * https://around.createx.studio/
 * Theme styles
*/

/* ------------------------- Fonts -------------------------------------------------- */

:root,
[data-bs-theme=light] {
  --ar-font-monospace: SFMono-Regular, Menlo, Monaco, Consolas, "Ubuntu Mono", "Courier New", monospace;
  --ar-gray-200: #f1f2f3;
  --ar-primary: #f03926;
  --ar-primary-rgb: 247, 57, 38;
  --ar-border-radius: 0.50rem;
  --ar-blockquote-mark-size: 2rem;
  --ar-nav-link-font-size: 1.00rem;
  --ar-modal-prog-bg: #f6f8fa;
  --ar-prog-div-color: #fafafa;
  --ar-fc-day-bg: #f3f3f3;
  --ar-fc-daywe-bg: #e0e0e0;
}

[data-bs-theme=dark] {
  --ar-modal-prog-bg: #1a1c1e;
  --ar-prog-div-color: #1f1f1f;
  --ar-fc-day-bg: #232323;
  --ar-fc-daywe-bg: #303030;
}

[data-bs-theme="dark"] .btn-secondary:not([data-bs-theme="light"]) {
  --ar-btn-color: #333333 !important;
}

.alert-best-time {
  --ar-alert-color: #1a1a19;
  --ar-alert-bg: #a7a6a3;
  --ar-alert-border-color: #767571;
  --ar-alert-link-color: var(--ar-primary-text-emphasis);
}
[data-bs-theme=dark] .alert-best-time {
  --ar-alert-color: #eaeae9;
  --ar-alert-bg: rgba(213, 213, 211, .10);
  --ar-alert-border-color: rgba(118, 117, 113, .25);
}

.navbar {
  --ar-navbar-color: var(--ar-gray-600);
}

.breadcrumb {
  --ar-breadcrumb-item-hover-color: var(--ar-gray-500);
}

.btn-primary {
  --ar-btn-bg: #f03926;
  --ar-btn-border-color: #f03926;
  --ar-btn-hover-bg: #e02916;
  --ar-btn-hover-border-color: #e02916;
  --ar-btn-focus-shadow-rgb: 157, 96, 137;
}

.btn-sm, .btn-group-sm > .btn {
  --ar-btn-padding-y: 0.325rem;
}

body.bg-secondary {
  background-color: var(--ar-gray-200) !important;
}
[data-bs-theme="dark"] body.bg-secondary {
  background-color: #191c20 !important;
}



.btn-delete {
  --ar-btn-color: #fff;
  --ar-btn-bg: #d9381e; /* #3fca90 */
  --ar-btn-border-color: #d9381e; /* #3fca90 */
  --ar-btn-hover-color: #fff;
  --ar-btn-hover-bg: #bf311b; /* #36ac7a */
  --ar-btn-hover-border-color: #b32d19; /* #32a273 */;
  --ar-btn-focus-shadow-rgb: 217, 55, 30; /* 5cd2a1 */
  --ar-btn-active-color: #fff;
  --ar-btn-active-bg: #b32d19; /* #32a273 */;
  --ar-btn-active-border-color: #039930; /* #2f986c */
  --ar-btn-active-shadow: unset;
  --ar-btn-disabled-color: #fff;
  --ar-btn-disabled-bg: #d9381e; /* #3fca90 */
  --ar-btn-disabled-border-color: #d9381e; /* #3fca90 */
}

.btn-update {
  --ar-btn-color: #fff;
  --ar-btn-bg: #03c03c; /* #3fca90 */
  --ar-btn-border-color: #03c03c; /* #3fca90 */
  --ar-btn-hover-color: #fff;
  --ar-btn-hover-bg: #16ad43; /* #36ac7a */
  --ar-btn-hover-border-color: #12a33a; /* #32a273 */;
  --ar-btn-focus-shadow-rgb: 24, 214, 78; /* 5cd2a1 */
  --ar-btn-active-color: #fff;
  --ar-btn-active-bg: #12a33a; /* #32a273 */;
  --ar-btn-active-border-color: #039930; /* #2f986c */
  --ar-btn-active-shadow: unset;
  --ar-btn-disabled-color: #fff;
  --ar-btn-disabled-bg: #03c03c; /* #3fca90 */
  --ar-btn-disabled-border-color: #03c03c; /* #3fca90 */
}

.styled-form label.error {
  color: var(--ar-danger);
  font-size: 0.75em;
  line-height: 0.75em;
  margin: 0.25em !important;
}

img.dark-grayscale {
  filter: grayscale(1);
}

.alert-pb {
  --ar-alert-padding-x: 0.40rem;
  --ar-alert-padding-y: 0.20rem;
  --ar-alert-margin-bottom: 1rem;
  --ar-alert-border: var(--ar-border-width) solid var(--ar-alert-border-color);
  --ar-alert-border-radius: var(--ar-border-radius-sm);
  --ar-alert-color: var(--ar-info-text-emphasis);
  --ar-alert-bg: var(--ar-info-bg-subtle);
  --ar-alert-border-color: var(--ar-info-border-subtle);
  --ar-alert-link-color: var(--ar-info-text-emphasis);
  position: relative;
  padding: var(--ar-alert-padding-y) var(--ar-alert-padding-x);
  margin-bottom: var(--ar-alert-margin-bottom);
  color: #1c1c1c; /* var(--ar-alert-color); */
  background-color: #ffc60a; /* (--ar-alert-bg); */
  border: #e7b922; /* var(--ar-alert-border); */
  border-radius: var(--ar-alert-border-radius);
  font-size: 0.75em;
  font-weight: 600;
  line-height: 0;
}

.alert-sb {
  --ar-alert-padding-x: 0.40rem;
  --ar-alert-padding-y: 0.20rem;
  --ar-alert-margin-bottom: 1rem;
  --ar-alert-border: var(--ar-border-width) solid var(--ar-alert-border-color);
  --ar-alert-border-radius: var(--ar-border-radius-sm);
  --ar-alert-color: var(--ar-info-text-emphasis);
  --ar-alert-bg: var(--ar-info-bg-subtle);
  --ar-alert-border-color: var(--ar-info-border-subtle);
  --ar-alert-link-color: var(--ar-info-text-emphasis);
  position: relative;
  padding: var(--ar-alert-padding-y) var(--ar-alert-padding-x);
  margin-bottom: var(--ar-alert-margin-bottom);
  color: #1c1c1c; /* var(--ar-alert-color); */
  background-color: #aaa9ad; /* (--ar-alert-bg); */
  border: #88878b; /* var(--ar-alert-border); */
  border-radius: var(--ar-alert-border-radius);
  font-size: 0.75em;
  font-weight: 600;
  line-height: 0;
}

.mt-5 {
  margin-top: 5rem !important;
}


.text-dist {
  --ar-text-opacity: 1;
  color: #cc0000;
  color: rgba(204, 0, 0, 1.0) !important;
}

.text-int {
  --ar-text-opacity: 1;
  color: #0563e3;
  color: rgba(5, 99, 227, 1.0) !important;
}

.box-int {
   background-color:#f0f0f0;
   color:#000000;
   padding:4px 8px 4px 8px;
   border: 1px solid grey;
}

.text-blue {
    color: #0080ee !important;
}


/*----------------------------------
  Logo test: ATLETICA ++
------------------------------------*/
.text-logo {
    font-family: Teko,sans-serif;
    letter-spacing: 1px;
    text-transform: uppercase;
    font-weight: 400;
}

/*----------------------------------
  nav-link ACTIVE
------------------------------------*/
.nav-link.active:not([data-bs-toggle="dropdown"]) {
    pointer-events: auto;
    cursor: pointer;
}


/*----------------------------------
  Honeypot protect
------------------------------------*/
.ohnohoney {
    opacity: 0;
    position: absolute;
    top: 0;
    left: 0;
    height: 0;
    width: 0;
    z-index: -1;
}

/*----------------------------------
  Programmi
------------------------------------*/
@media (min-width: 992px) {
  .fc-scrollgrid td {
    padding-right: 0;
    padding-left: 0;
  }
}
.fc-toolbar-title {
  font-size: calc(1.5rem + 0.6vw) !important;
  font-weight: 600;
  text-transform: uppercase;
}

/* Button */
.fc-BackwardButton-button {
}
.fc-TodayButton-button {
}
.fc-ForwardButton-button {
}

th.fc-day {
    background-color: var(--ar-fc-day-bg) !important;
    padding: 0.25rem 0 !important;
    border-bottom: 2px solid var(--ar-gray-300) !important;
}
th.fc-day.fc-day-sat,th.fc-day.fc-day-sun {
    background-color: var(--ar-fc-daywe-bg) !important;
}
.fc-col-header-cell-cushion {
    text-transform: uppercase;
    text-decoration: none;
}
.fc-daygrid, .fc-timegrid, .fc-list {
    background-color: var(--ar-body-bg);
}
.fc-scrollgrid td {
    border-right: 1px dashed var(--ar-gray-500) !important;
    border-top: 1px solid var(--ar-gray-400);
}

.fc .fc-daygrid-week-number {
  font-size: 11px;
  line-height:12px;
  margin-top: 1px;
  padding: 1px 3px;
}
.fc .fc-daygrid-day-number {
color: var(--ar-body-color) !important;
  padding-bottom: 0px;
  text-decoration: none;
}
.fc-day:hover {
    /*filter: grayscale(0%);
    background-color: #f9f9f9;*/
    cursor:pointer;
}
.prog-td {
    height: 110px;
}
.prog-td-small {
    height: 22px;
}
.prog-td :hover {
    filter: grayscale(0%);
    background-color: #f0f0f0;
    cursor:pointer;
}

/* DIV Programma */
.prog-div {
    background-color: var(--ar-prog-div-color) !important;
    color: var(--ar-body-color) !important;
    display: flex;
    flex-direction: column;
    position: relative;
    vertical-align: middle;
    height: 100%;
    width: 100%;
}
.prog-mezzi {
    color: #2d2d2d;
    display:inline-block;
    white-space:nowrap;
    text-align:center;
    font-size: 15px;
    /*right:1px;
    top:1px;*/
    height: 22px;
    width:100%;
}
.prog-time {
    position: absolute;
    left: 1px;
    top: -12px;
    top: 0px;
    color: #666666;
    font-size: 10px;
    line-height: 12px;
}
.prog-temp {
    position: absolute;
    right: 1px;
    top: -12px;
    top: 0px;
    color: #666666;
    font-size: 10px;
    line-height: 12px;
}
.prog-mezzi-div {
  position:absolute;
  display:inline-block;
  white-space:nowrap;
  text-align:left;
  font-size: 15px;
  color:#333;
  padding-left:5px;
  top:0;
  height: 22px;
  line-height: 22px;
  width:94%;
}
.prog-descr {
    position: relative;
    text-align: center;
    font-size: 14px;
    line-height: 16px;
    padding: 2px;
    width: 100%;
    white-space: normal !important;
}

.prog-info-div {
    position: relative;
    display: flex;
    flex-direction: column;
    height: 50px;
    width: 100%;
}
.prog-rec {
   position:absolute;
   left:6px;
   top:4px;
   float:left;
   font-size: 12px;
   width:80%;
}
.prog-vol {
   position: absolute;
   right: 42px;
   top: 20px;
   font-size: 10px;
   line-height: 10px;
   color: #aaaaaa;
}
.prog-int {
   position: absolute;
   right:2px;
   top: 10px;
   float: right;
   font-size: 14px;
   line-height: 15px;
   background-color:#f0f0f0;
   color:#000000;
   padding:2px 3px 2px 3px;
   border: 1px solid grey;
}
.prog-tempi {
   position:absolute;
   right:1px;
   top:35px;
   text-align:center;
   background-color:#f6f6f6;
  background-color: var(--ar-gray-300) !important;
    color: var(--ar-body-color) !important;
   font-size: 11px;
   line-height: 13px;
   width:100%;
}

.prog-day {
    font-size: 11px;
    line-height: 16px;
    color: #444444;
    text-align: center;
    background-color:#f3f3f3;
    position: absolute;
    display: inline-table;
    top: 3px;
    right: 3px;
    width: 16px;
    height: 16px;
}

@media (max-width: 768px) {
  .fc .fc-toolbar.fc-header-toolbar {
      display: block;
      text-align: center;
  }
  .fc-header-toolbar .fc-toolbar-chunk {
      margin-top: 0.50rem;
      display: block;
  }
  .prog-mezzi {
      height: 32px;
      padding: 8px 0;
  }
  .prog-info-div {
      /*display:block;*/
      text-align: center;
  }
  .prog-rec {
      position:relative;
      white-space: normal !important;
      width:100%;
  }
  .prog-vol {
      position:relative;
      right:0;
      top:6px;
      width:100%;
  }
  .prog-int {
      position:relative;
      width: 42px;
  }
  .prog-tempi {
      position:relative;
      white-space: normal !important;
  }
}




/*----------------------------------
  Tabella Modal programmi
------------------------------------*/
.modal-allenamenti .modal-header, .modal-allenamenti .modal-footer {
  padding-bottom: calc(var(--ar-modal-header-padding-y)/4);
  border: 0;
}
.modal-prog {
  background-color: var(--ar-modal-prog-bg);
  padding: 1.00rem 2.00rem 0.25rem 2.00rem;
}
.btn-mezzi {
  border-color: #545b62;
  border-radius: 0.25rem;
  color: #222222;
  font-size: 1rem;
  line-height: 1.25rem;
  font-weight: 400;
  margin: 2px 2px;
  padding: 0.25rem 1.00rem;
  width: 100px !important;
}
.span-table { display:block; font-size:1rem; padding:0.25rem 0.75rem; line-height:1.25; border-radius:0.15rem; magin-bottom: 0.25rem; }
.prog-table { width: 100%; }
.prog-table td {   color: var(--ar-body-color); border-bottom: 1px solid #e1e1e1; padding:0.25rem; }
.table-descr { font-size:14px; text-align:left; line-height:1.00rem; }
.table-rec { font-size:14px; text-align:left; white-space:nowrap; }
.table-int { font-size:13px; line-height:15px; display:block; background-color:#f0f0f0; color:#000000; padding:2px 3px 2px 3px; width:35px; border:1px solid grey; }
.table-tempi { text-align:left; font-size:11px; line-height:1.00rem; }
.table-volume { text-align:right; font-size:11px; white-space:nowrap; }
.div-prog input.form-control {
    padding: 0.50rem 0.75rem;
    font-size: calc(var(--ar-body-font-size) * 0.875);
    font-weight: 400;
    line-height: 1.4;
    color: var(--ar-body-color);
    background-color: #fcfcfc;
    color: #161616;
}
/*
.div-prog input[type=text].form-control:disabled {
    background-color: #f3f3f3 !important;
}
*/






/*----------------------------------
  Tabella atletica
------------------------------------*/
.qodef-athletic-holder {
    color: #2d2d2d;
    line-height: 1.4em;
    margin-left:  0px;
    margin-right: 0px;
    margin-bottom: 50px;
    overflow-x: auto;
}
.qodef-athletic-holder table thead {
    font-family: Teko,sans-serif;
    font-size: 20px;
/*    line-height: 1.25em; */
    letter-spacing: 1px;
    text-transform: uppercase;
    font-weight: normal;
    color: #29282d;
}
.qodef-athletic-holder table thead tr {
    border: none;
    border-bottom-color: currentcolor;
    border-bottom-style: none;
    border-bottom-width: medium;
    border: none;
    border-bottom: 1px solid #e5e5e5;
}
.qodef-athletic-holder table tbody tr {
    border: none;
    border-bottom: 1px solid #e1e1e1;
}
.qodef-athletic-holder table thead tr th,
.qodef-athletic-holder table tbody tr td {
    border-right: 1px dashed #a7a6a7;
    vertical-align: middle;
}
.qodef-athletic-holder table th {
    background-color: #f3f3f3;
    font-family: Teko,sans-serif;
    text-align: left;
    vertical-align: middle;
    padding: 10px 8px 8px 12px;
}
.qodef-athletic-holder table td {
    background-color: #fafafa;
    text-align: left;
    padding: 6px 6px 6px 10px;
}
.qodef-athletic-holder h5 {
    padding:0;
    margin:0;
}
.qodef-athletic-holder .month-name {
    background-color: #ffffff;
    font-size: 24px;
    text-transform: uppercase;
    font-weight: 400;
    color: #29282d;
    letter-spacing: 4px;
    padding: 35px 6px 10px 20px;
}
.qodef-athletic-holder .link-title {
    font-family: Teko,sans-serif;
    font-size: 20px;
    text-transform: uppercase;
    font-weight: 400;
    letter-spacing: 1px;
}
.qodef-athletic-holder .day-number {
    font-size: 10px;
    line-height: 10px;
    color: #444444;
    position: absolute;
    display:inline-table;
    top:3px;
    right:3px;
}


/*----------------------------------
  Allenamenti
------------------------------------*/
.row-atletica {
   line-height: 2.5em;
}
.row-atletica-wrap {
   border-bottom:1px solid #d9d9d9;
}
.box_intensita {
   background-color:#f0f0f0;
   color:#000000;
   padding:4px 8px 4px 8px;
   border: 1px solid grey;
}
.box_mezzi {
   white-space:nowrap;
   color:#000000;
   padding:4px 8px 4px 8px;
   border: 1px solid grey;
}
.box_error {
   background-color:#f00000;
   white-space:nowrap;
   color:#ffffff;
   text-align: center;
   padding:2px 4px 2px 4px;
   border: 1px solid #fcfcfc;
}

/*----------------------------------
  Tabella simple
------------------------------------*/
.simple-table table {
  font-family: Teko,sans-serif;
	color:#666;
	font-size:2.00rem;

	-moz-border-radius:16px;
	-webkit-border-radius:16px;
	border-radius:16px;
}
.simple-table table th {
  font-weight: 500;
	background: #fefefe;
}
.simple-table table tr {
	text-align: center;
}



/*----------------------------------
  Simple Styles for <hr>'s
------------------------------------*/
/* Gradient color1 - color2 - color1 */
hr.style-one {
    border: 0;
    height: 1px;
    background: #333;
    background-image: linear-gradient(to right, #ccc, #333, #ccc);
}

/* Gradient transparent - color - transparent */
hr.style-two {
    border: 0;
    height: 1px;
    background-image: linear-gradient(to right, rgba(0, 0, 0, 0), rgba(0, 0, 0, 0.75), rgba(0, 0, 0, 0));
}

/* Double-color dashed line */
hr.style-three {
    border: 0;
    border-bottom: 1px dashed #ccc;
    background: #999;
}

/* Inset, by Dan Eden */
hr.style-six {
    border: 0;
    height: 0;
    border-top: 1px solid rgba(0, 0, 0, 0.1);
    border-bottom: 1px solid rgba(255, 255, 255, 0.3);
}

/* Glyph, by Harry Roberts */
hr.style-eight {
    overflow: visible; /* For IE */
    padding: 0;
    border: none;
    border-top: medium double #333;
    color: #333;
    text-align: center;
}
hr.style-eight:after {
    content: "§";
    display: inline-block;
    position: relative;
    top: -0.7em;
    font-size: 1.5em;
    padding: 0 0.25em;
    background: white;
}

/*----------------------------------
  Select square Avatar Profile Picture
------------------------------------*/
.imgareaselect-border1 {
	background: url(border-anim-v.gif) repeat-y left top;
}

.imgareaselect-border2 {
    background: url(border-anim-h.gif) repeat-x left top;
}

.imgareaselect-border3 {
    background: url(border-anim-v.gif) repeat-y right top;
}

.imgareaselect-border4 {
    background: url(border-anim-h.gif) repeat-x left bottom;
}

.imgareaselect-border1, .imgareaselect-border2,
.imgareaselect-border3, .imgareaselect-border4 {
    filter: alpha(opacity=50);
	opacity: 0.5;
}

.imgareaselect-handle {
    background-color: #fff;
	border: solid 1px #000;
    filter: alpha(opacity=50);
	opacity: 0.5;
}

.imgareaselect-outer {
	background-color: #000;
    filter: alpha(opacity=50);
	opacity: 0.5;
}

.imgareaselect-selection {
}

















/*!
 * Bootstrap v4.4.1 (https://getbootstrap.com/)
 * Copyright 2011-2019 The Bootstrap Authors
 * Copyright 2011-2019 Twitter, Inc.
 * Licensed under MIT (https://github.com/twbs/bootstrap/blob/master/LICENSE)
 */
/*
.modal-header-prog {
  display: -ms-flexbox;
  display: flex;
  -ms-flex-align: start;
  align-items: flex-start;
  -ms-flex-pack: justify;
  justify-content: space-between;
  padding: 0.5rem 1rem;
  border-bottom: 1px solid #dee2e6;
  border-top-left-radius: calc(0.3rem - 1px);
  border-top-right-radius: calc(0.3rem - 1px);
}

.input-group-prog {
  position: relative;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  -ms-flex-align: stretch;
  align-items: stretch;
  margin-bottom: 0.75rem !important;
  width: 100%;
}

.input-group-prog > .form-control,
.input-group-prog > .form-control-plaintext,
.input-group-prog > .custom-select,
.input-group-prog > .custom-file {
  position: relative;
  -ms-flex: 1 1 0%;
  flex: 1 1 0%;
  min-width: 0;
  margin-bottom: 0;
}

.input-group-prog > .form-control + .form-control,
.input-group-prog > .form-control + .custom-select,
.input-group-prog > .form-control + .custom-file,
.input-group-prog > .form-control-plaintext + .form-control,
.input-group-prog > .form-control-plaintext + .custom-select,
.input-group-prog > .form-control-plaintext + .custom-file,
.input-group-prog > .custom-select + .form-control,
.input-group-prog > .custom-select + .custom-select,
.input-group-prog > .custom-select + .custom-file,
.input-group-prog > .custom-file + .form-control,
.input-group-prog > .custom-file + .custom-select,
.input-group-prog > .custom-file + .custom-file {
  margin-left: -1px;
}

.input-group-prog > .form-control:focus,
.input-group-prog > .custom-select:focus,
.input-group-prog > .custom-file .custom-file-input:focus ~ .custom-file-label {
  z-index: 3;
}

.input-group-prog > .custom-file .custom-file-input:focus {
  z-index: 4;
}

.input-group-prog > .form-control:not(:last-child),
.input-group-prog > .custom-select:not(:last-child) {
  border-top-right-radius: 0;
  border-bottom-right-radius: 0;
}

.input-group-prog > .form-control:not(:first-child),
.input-group-prog > .custom-select:not(:first-child) {
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
}

.input-group-prog > .custom-file {
  display: -ms-flexbox;
  display: flex;
  -ms-flex-align: center;
  align-items: center;
}

.input-group-prog > .custom-file:not(:last-child) .custom-file-label,
.input-group-prog > .custom-file:not(:last-child) .custom-file-label::after {
  border-top-right-radius: 0;
  border-bottom-right-radius: 0;
}

.input-group-prog > .custom-file:not(:first-child) .custom-file-label {
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
}

.input-group-prog-prepend,
.input-group-prog-append {
  display: -ms-flexbox;
  display: flex;
}

.input-group-prog-prepend .btn,
.input-group-prog-append .btn {
  position: relative;
  z-index: 2;
}

.input-group-prog-prepend .btn:focus,
.input-group-prog-append .btn:focus {
  z-index: 3;
}

.input-group-prog-prepend .btn + .btn,
.input-group-prog-prepend .btn + .input-group-prog-text,
.input-group-prog-prepend .input-group-prog-text + .input-group-prog-text,
.input-group-prog-prepend .input-group-prog-text + .btn,
.input-group-prog-append .btn + .btn,
.input-group-prog-append .btn + .input-group-prog-text,
.input-group-prog-append .input-group-prog-text + .input-group-prog-text,
.input-group-prog-append .input-group-prog-text + .btn {
  margin-left: -1px;
}

.input-group-prog-prepend {
  margin-right: -1px;
}

.input-group-prog-append {
  margin-left: -1px;
}

.input-group-prog-text {
  display: -ms-flexbox;
  display: flex;
  -ms-flex-align: center;
  align-items: center;
  padding: 0.25rem 0.50rem;
  margin-bottom: 0;
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.5;
  color: #495057;
  text-align: center;
  white-space: nowrap;
  background-color: #e9ecef;
  border: 1px solid #ced4da;
  border-radius: 0.25rem;


.input-group-prog-text input[type="radio"],
.input-group-prog-text input[type="checkbox"] {
  margin-top: 0;
}

.input-group-prog-lg > .form-control:not(textarea),
.input-group-prog-lg > .custom-select {
  height: calc(1.5em + 1rem + 2px);
}

.input-group-prog-lg > .form-control,
.input-group-prog-lg > .custom-select,
.input-group-prog-lg > .input-group-prog-prepend > .input-group-prog-text,
.input-group-prog-lg > .input-group-prog-append > .input-group-prog-text,
.input-group-prog-lg > .input-group-prog-prepend > .btn,
.input-group-prog-lg > .input-group-prog-append > .btn {
  padding: 0.5rem 1rem;
  font-size: 1.25rem;
  line-height: 1.5;
  border-radius: 0.3rem;
}

.input-group-prog-sm > .form-control:not(textarea),
.input-group-prog-sm > .custom-select {
  height: calc(1.5em + 0.5rem + 2px);
}

.input-group-prog-sm > .form-control,
.input-group-prog-sm > .custom-select,
.input-group-prog-sm > .input-group-prog-prepend > .input-group-prog-text,
.input-group-prog-sm > .input-group-prog-append > .input-group-prog-text,
.input-group-prog-sm > .input-group-prog-prepend > .btn,
.input-group-prog-sm > .input-group-prog-append > .btn {
  padding: 0.25rem 0.5rem;
  font-size: 0.875rem;
  line-height: 1.5;
  border-radius: 0.2rem;
}

.input-group-prog-lg > .custom-select,
.input-group-prog-sm > .custom-select {
  padding-right: 1.75rem;
}

.input-group-prog > .input-group-prog-prepend > .btn,
.input-group-prog > .input-group-prog-prepend > .input-group-prog-text,
.input-group-prog > .input-group-prog-append:not(:last-child) > .btn,
.input-group-prog > .input-group-prog-append:not(:last-child) > .input-group-prog-text,
.input-group-prog > .input-group-prog-append:last-child > .btn:not(:last-child):not(.dropdown-toggle),
.input-group-prog > .input-group-prog-append:last-child > .input-group-prog-text:not(:last-child) {
  border-top-right-radius: 0;
  border-bottom-right-radius: 0;
}

.input-group-prog > .input-group-prog-append > .btn,
.input-group-prog > .input-group-prog-append > .input-group-prog-text,
.input-group-prog > .input-group-prog-prepend:not(:first-child) > .btn,
.input-group-prog > .input-group-prog-prepend:not(:first-child) > .input-group-prog-text,
.input-group-prog > .input-group-prog-prepend:first-child > .btn:not(:first-child),
.input-group-prog > .input-group-prog-prepend:first-child > .input-group-prog-text:not(:first-child) {
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
}




.form-control {
  display: block;
  width: 100%;
  height: calc(1.5em + 0.75rem + 2px);
  padding: 0.375rem 0.75rem;
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.5;
  color: #495057;
  background-color: #fff;
  background-clip: padding-box;
  border: 1px solid #ced4da;
  border-radius: 0.25rem;
  transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

@media (prefers-reduced-motion: reduce) {
  .form-control {
    transition: none;
  }
}

.form-control::-ms-expand {
  background-color: transparent;
  border: 0;
}

.form-control:-moz-focusring {
  color: transparent;
  text-shadow: 0 0 0 #495057;
}

.form-control:focus {
  color: #495057;
  background-color: #fff;
  border-color: #80bdff;
  outline: 0;
  box-shadow: 0 0 0 0.2rem rgba(0, 123, 255, 0.25);
}

.form-control::-webkit-input-placeholder {
  color: #6c757d;
  opacity: 1;
}

.form-control::-moz-placeholder {
  color: #6c757d;
  opacity: 1;
}

.form-control:-ms-input-placeholder {
  color: #6c757d;
  opacity: 1;
}

.form-control::-ms-input-placeholder {
  color: #6c757d;
  opacity: 1;
}

.form-control::placeholder {
  color: #6c757d;
  opacity: 1;
}

.form-control:disabled, .form-control[readonly] {
  background-color: #e9ecef;
  opacity: 1;
}

select.form-control:focus::-ms-value {
  color: #495057;
  background-color: #fff;
}

.form-control-file,
.form-control-range {
  display: block;
  width: 100%;
}

.col-form-label {
  padding-top: calc(0.375rem + 1px);
  padding-bottom: calc(0.375rem + 1px);
  margin-bottom: 0;
  font-size: inherit;
  line-height: 1.5;
}

.col-form-label-lg {
  padding-top: calc(0.5rem + 1px);
  padding-bottom: calc(0.5rem + 1px);
  font-size: 1.25rem;
  line-height: 1.5;
}

.col-form-label-sm {
  padding-top: calc(0.25rem + 1px);
  padding-bottom: calc(0.25rem + 1px);
  font-size: 0.875rem;
  line-height: 1.5;
}

.form-control-plaintext {
  display: block;
  width: 100%;
  padding: 0.375rem 0;
  margin-bottom: 0;
  font-size: 1rem;
  line-height: 1.5;
  color: #212529;
  background-color: transparent;
  border: solid transparent;
  border-width: 1px 0;
}

.form-control-plaintext.form-control-sm, .form-control-plaintext.form-control-lg {
  padding-right: 0;
  padding-left: 0;
}

.form-control-sm {
  height: calc(1.5em + 0.5rem + 2px);
  padding: 0.25rem 0.5rem;
  font-size: 0.875rem;
  line-height: 1.5;
  border-radius: 0.2rem;
}

.form-control-lg {
  height: calc(1.5em + 1rem + 2px);
  padding: 0.5rem 1rem;
  font-size: 1.25rem;
  line-height: 1.5;
  border-radius: 0.3rem;
}

select.form-control[size], select.form-control[multiple] {
  height: auto;
}

textarea.form-control {
  height: auto;
}

.form-group {
  margin-bottom: 1rem;
}

.form-text {
  display: block;
  margin-top: 0.25rem;
}

.form-row {
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  margin-right: -5px;
  margin-left: -5px;
}

.form-row > .col,
.form-row > [class*="col-"] {
  padding-right: 5px;
  padding-left: 5px;
}

.form-check {
  position: relative;
  display: block;
  padding-left: 1.25rem;
}

.form-check-input {
  position: absolute;
  margin-top: 0.3rem;
  margin-left: -1.25rem;
}

.form-check-input[disabled] ~ .form-check-label,
.form-check-input:disabled ~ .form-check-label {
  color: #6c757d;
}

.form-check-label {
  margin-bottom: 0;
}

.form-check-inline {
  display: -ms-inline-flexbox;
  display: inline-flex;
  -ms-flex-align: center;
  align-items: center;
  padding-left: 0;
  margin-right: 0.75rem;
}

.form-check-inline .form-check-input {
  position: static;
  margin-top: 0;
  margin-right: 0.3125rem;
  margin-left: 0;
}
*/



/*
 * imgAreaSelect animated border style
 */
